package co.hyperverge.hypersnapsdk.hypersnapsdk_flutter;

import android.app.Activity;
import android.util.Log;

import org.json.JSONException;
import org.json.JSONObject;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;

import co.hyperverge.hypersnapsdk.listeners.APICompletionCallback;
import co.hyperverge.hypersnapsdk.network.HVNetworkHelper;
import co.hyperverge.hypersnapsdk.objects.HVError;
import co.hyperverge.hypersnapsdk.objects.HVResponse;
import co.hyperverge.hypersnapsdk.objects.HyperSnapParams;

public class FLHVNetworkHelper {
    private static final String TAG = FLHVNetworkHelper.class.getSimpleName();

    public void makeOCRCall(Activity activity, String endpoint, String documentUri, Map<String, Object> parameters, Map<String, Object> headers, final APICompletionCallback resultCallback) {

        try {
            JSONObject params = new JSONObject();
            if (parameters != null) {
                params = FLHVUtils.convertMapToJson(parameters);
            }

            JSONObject headers2 = new JSONObject();
            if (headers != null) {
                headers2 = FLHVUtils.convertMapToJson(headers);
            }
            HVNetworkHelper.makeOCRCall(activity, endpoint, documentUri, params, headers2, resultCallback);
        } catch (Exception e) {
            Log.e(TAG, Objects.requireNonNull(e.getMessage()));
        }
    }

    public void makeFaceMatchCall(Activity activity, String endpoint, String faceUri, String documentUri, String faceMatchModeString, Map<String, Object> parameters, Map<String, Object> headers, final APICompletionCallback resultCallback) {
        try {
            JSONObject params = new JSONObject();
            if (parameters != null) {
                params = FLHVUtils.convertMapToJson(parameters);
            }

            JSONObject headers2 = new JSONObject();
            if (headers != null) {
                headers2 = FLHVUtils.convertMapToJson(headers);
            }

            HyperSnapParams.FaceMatchMode faceMatchMode = getFaceMatchMode(faceMatchModeString);

            HVNetworkHelper.makeFaceMatchCall(activity, endpoint, faceUri, documentUri, faceMatchMode, params, headers2, resultCallback);
        } catch (JSONException e) {
            Log.e(TAG, Objects.requireNonNull(e.getMessage()));
        }
    }

    private HyperSnapParams.FaceMatchMode getFaceMatchMode(String faceMatchMode) {
        switch (faceMatchMode) {
            case "FACE_FACE":
                return HyperSnapParams.FaceMatchMode.FACE_FACE;
            case "FACE_ID_FACE_STRING":
                return HyperSnapParams.FaceMatchMode.FACE_ID_FACE_STRING;
            default:
                return HyperSnapParams.FaceMatchMode.FACE_ID;
        }
    }
}

