package co.hyperverge.hypersnapsdk.hypersnapsdk_flutter;

import android.content.Context;
import android.util.Log;

import org.json.JSONException;
import org.json.JSONObject;

import java.util.Collections;
import java.util.Map;

import co.hyperverge.hvqrmodule.objects.HVQRConfig;
import co.hyperverge.hypersnapsdk.activities.HVQrScannerActivity;
import co.hyperverge.hypersnapsdk.listeners.QRScannerCompletionHandler;

public class FLHVQRScanCapture {

    private static final String TAG = FLHVQRScanCapture.class.getSimpleName();
    private HVQRConfig hvQRConfig;

    public void createNewConfig() {
        this.hvQRConfig = new HVQRConfig();
    }

    public HVQRConfig getHVQRConfig() {
        if (this.hvQRConfig == null) {
            this.hvQRConfig = new HVQRConfig();
        }
        return this.hvQRConfig;
    }

    @SuppressWarnings("unchecked")
    public void setHVQRConfig(Map<String, Object> hvQRConfig) {
        Map<String, Object> uiStrings = (Map<String, Object>) hvQRConfig.get(FLHyperSnapConstants.QR_CAPTURE_UI_STRINGS);
        if (uiStrings != null && !uiStrings.isEmpty()) {
            setUIStrings(uiStrings);
        }

        Boolean shouldShowInstructionPage = (Boolean) hvQRConfig.get(FLHyperSnapConstants.QR_CAPTURE_SHOULD_SHOW_INSTRUCTION_PAGE);
        if (shouldShowInstructionPage != null) {
            getHVQRConfig().setShowInstructions(shouldShowInstructionPage);
        }
    }

    public void setUIStrings(Map<String, Object> uiStringsMap) {
        //remove null ui strings
        uiStringsMap.values().removeAll(Collections.singleton(null));

        try {
            JSONObject uiStringsJsonObject = FLHVUtils.convertMapToJson(uiStringsMap);
            // Using customUIStrings
            getHVQRConfig().setCustomUIStrings(uiStringsJsonObject);
        } catch (JSONException e) {
            Log.e(TAG, e.getMessage());
        }
    }

    public void start(Context context, final QRScannerCompletionHandler callback) {
        HVQrScannerActivity.start(context, getHVQRConfig(), callback);
    }
}
