package co.hyperverge.hypersnapsdk.hypersnapsdk_flutter;

public class FLHyperSnapConstants {
    //method channel constant
    public static final String METHOD_CHANNEL_STRING = "hyperSnapSDK_flutter";
    public static final String ERROR_OBJ = "errorObj";
    public static final String RESULT_OBJ = "resultObj";


    ///----------------------------hyper-snap sdk constants-------------------------
    ///hyper-snap sdk property strings
    public static final String APP_ID_ARG = "appId";
    public static final String APP_KEY_ARG = "appKey";
    public static final String ACCESS_TOKEN_ARG = "accessToken";
    public static final String REGION_ARG = "region";
    public static final String USER_ID_ARG = "userId";

    ///hyper-snap sdk method strings
    public static final String INITIALIZE_METHOD = "initialize";
    public static final String INITIALIZE_WITH_TOKEN_METHOD = "initializeWithToken";
    public static final String HYPER_SNAP_SDK_CONFIG_METHOD = "hyperSnapSDKConfig";
    public static final String START_USER_SESSION_METHOD = "startUserSession";
    public static final String END_USER_SESSION_METHOD = "endUserSession";
    public static final String SORT_JSON_KEYS_ALPHABETICALLY_METHOD = "sortJSONKeysAlphabetically";

    //hyper-snap sdk config args
    public static final String SHOULD_ENABLE_SSL_PINNING_ARG = "shouldEnableSSLPinning";
    public static final String SHOULD_USE_SIGNATURE_ARG = "shouldUseSignature";
    public static final String SHOULD_RETURN_RAW_RESPONSE_ARG = "shouldReturnRawResponse";
    public static final String CONNECT_TIMEOUT_ARG = "connectTimeout";
    public static final String READ_TIMEOUT_ARG = "readTimeout";
    public static final String WRITE_TIMEOUT_ARG = "writeTimeout";
    public static final String UI_CONFIG_MAP = "uiConfigMap";


    ///----------------------------hyper-snap doc capture constants-------------------------
    ///map properties
    public static final String HV_DOC_CONFIG = "hvDocConfig";

    ///ocr api properties
    public static final String OCR_ENDPOINT = "ocrEndpoint";
    public static final String DOCUMENT_SIDE_STRING = "documentSideString";
    public static final String PARAMS = "params";
    public static final String HEADERS = "headers";

    ///doc config properties
    public static final String DOC_ASPECT_RATIO_VALUE = "docAspectRatioValue";
    public static final String DOC_SHOULD_SET_PADDING = "docShouldSetPadding";
    public static final String DOC_DEFAULT_PADDING_VALUE = "docDefaultPaddingValue";
    public static final String DOC_SHOULD_SHOW_FLASH_ICON = "docShouldShowFlashIcon";
    public static final String DOC_SHOULD_SHOW_REVIEW_SCREEN = "docShouldShowReviewScreen";
    public static final String DOC_SHOULD_SHOW_INSTRUCTION_PAGE = "docShouldShowInstructionPage";
    public static final String DOC_TYPE_VALUE = "docTypeValue";
    public static final String DOC_SHOULD_ENABLE_RETRIES = "docShouldEnableRetries";
    public static final String DOC_SHOULD_SHOW_CLOSE_ALERT = "docShouldShowCloseAlert";
    public static final String DOC_CLOSE_ALERT_DIALOG_TITLE = "docCloseAlertDialogTitle";
    public static final String DOC_CLOSE_ALERT_DIALOG_DESCRIPTION = "docCloseAlertDialogDescription";
    public static final String DOC_SHOULD_SHOW_TRUST_LOGOS = "docShouldShowTrustLogos";
    public static final String OCR_API_DETAILS = "ocrApiDetails";
    public static final String DOC_CAPTURE_UI_STRINGS = "docCaptureUIStrings";
    public static final String DOC_AUTO_CAPTURE_DURATION = "docAutoCaptureDuration";
    public static final String DOC_AUTO_CAPTURE = "docAutoCapture";
    public static final String DOC_SHOULD_ENABLE_UPLOAD = "docShouldEnableUpload";
    public static final String DOC_SHOULD_READ_BARCODE = "docShouldReadBarcode";
    public static final String DOC_READ_BARCODE_TIMEOUT = "docReadBarcodeTimeout";
    ///methods
    public static final String SET_HV_DOC_CONFIG = "setHVDocConfig";
    public static final String START_DOC_CAPTURE = "startDocCapture";


    ///----------------------------hyper-snap face capture constants-------------------------
    ///map properties
    public static final String HV_FACE_CONFIG = "hvFaceConfig";

    ///liveness api properties
    public static final String LIVENESS_ENDPOINT = "livenessEndpoint";
    public static final String LIVENESS_VALUE = "livenessValue";
    public static final String LIVENESS_PARAMS = "livenessParams";
    public static final String LIVENESS_HEADERS = "livenessHeaders";

    ///face config properties
    public static final String FACE_SHOULD_SHOW_INSTRUCTION_PAGE = "faceShouldShowInstructionPage";
    public static final String FACE_SHOULD_RETURN_FULL_IMAGE_URL = "faceShouldReturnFullImageUrl";
    public static final String FACE_SHOULD_SHOW_CAMERA_SWITCH_BUTTON = "faceShouldShowCameraSwitchButton";
    public static final String FACE_VIDEO_RECORDING = "faceVideoRecording";
    public static final String FACE_SHOULD_USE_BACK_CAMERA = "faceShouldUseBackCamera";
    public static final String FACE_SHOULD_ADD_PADDING = "faceShouldAddPadding";
    public static final String FACE_PADDING = "facePadding";
    public static final String FACE_AUTO_CAPTURE = "faceAutoCapture";
    public static final String FACE_SHOULD_SHOW_CLOSE_ALERT = "faceShouldShowCloseAlert";
    public static final String FACE_CLOSE_ALERT_DIALOG_TITLE = "faceCloseAlertDialogTitle";
    public static final String FACE_CLOSE_ALERT_DIALOG_DESC = "faceCloseAlertDialogDesc";
    public static final String FACE_SHOULD_SHOW_TRUST_LOGOS = "faceShouldShowTrustLogos";
    public static final String FACE_CAPTURE_UI_STRINGS = "faceCaptureUIStrings";
    public static final String LIVENESS_API_DETAILS = "livenessApiDetails";
    public static final String FACE_SHOULD_HANDLE_RETRIES = "faceShouldHandleRetries";
    public static final String AUTO_CAPTURE_DURATION = "autoCaptureDuration";
    public static final String TOTAL_GESTURES = "totalGestures";
    public static final String CHECK_ACTIVE_LIVENESS = "checkActiveLiveness";

    ///video recording config properties
    public static final String SHOULD_RECORD_VIDEO = "shouldRecordVideo";
    public static final String NO_OF_FRAMES = "noOfFrames";
    public static final String BIT_RATE_M = "bitRateM";
    public static final String FPS = "fps";

    ///padding properties
    public static final String PADDING_LEFT = "paddingLeft";
    public static final String PADDING_RIGHT = "paddingRight";
    public static final String PADDING_TOP = "paddingTop";
    public static final String PADDING_BOTTOM = "paddingBottom";

    ///methods
    public static final String SET_HV_FACE_CONFIG = "setHVFaceConfig";
    public static final String START_FACE_CAPTURE = "startFaceCapture";


    ///---------------------------------------------hv network helper strings---------------------
    //methods
    public static final String NETWORK_HELPER_MAKE_OCR_CALL = "networkHelperMakeOCRCall";
    public static final String NETWORK_HELPER_MAKE_FACE_MATCH_CALL = "networkHelperMakeFaceMatchCall";

    //ocr call map attributes
    public static final String NETWORK_HELPER_OCR_ENDPOINT = "endpoint";
    public static final String NETWORK_HELPER_OCR_DOCUMENT_URI = "documentUri";
    public static final String NETWORK_HELPER_OCR_PARAMETERS = "parameters";
    public static final String NETWORK_HELPER_OCR_HEADERS = "headers";

    //face match call map attributes
    public static final String NETWORK_HELPER_FACE_MATCH_ENDPOINT = "endpoint";
    public static final String NETWORK_HELPER_FACE_MATCH_DOCUMENT_URI = "documentUri";
    public static final String NETWORK_HELPER_FACE_MATCH_PARAMETERS = "parameters";
    public static final String NETWORK_HELPER_FACE_MATCH_HEADERS = "headers";
    public static final String NETWORK_HELPER_FACE_MATCH_FACE_URI = "faceUri";
    public static final String NETWORK_HELPER_FACE_MATCH_FACE_MATCH_MODE = "faceMatchMode";

    ///---------------------------------------------hv qr capture strings---------------------
    static final String SET_HV_QR_SCAN_CONFIG = "setHVQRScanConfig";
    static final String QR_SCAN_CAPTURE_START = "qrScanCaptureStart";

    //attributes
    static final String HV_QR_CONFIG = "hvQRConfig";
    //qr config attributes
    static final String QR_CAPTURE_SHOULD_SHOW_INSTRUCTION_PAGE = "shouldShowInstructionPage";
    static final String QR_CAPTURE_UI_STRINGS = "qrScanUIStrings";
}
