//
//  FLHVQRScanCapture.swift
//

import Foundation
import HyperSnapSDK

public class FLHVQRScanCapture {

    var hvQRConfig = HVQRConfig()

    public func getHVQRConfig() -> HVQRConfig {
        return hvQRConfig
    }

    public func createNewQRConfig() {
        hvQRConfig = HVQRConfig()
    }

    public func setHVQRConfig(qrConfig: [String: Any]) {
        if let shouldShowInstructionPage = (qrConfig[FLHyperSnapConstants.QR_CAPTURE_SHOULD_SHOW_INSTRUCTION_PAGE] as? Bool) {
            getHVQRConfig().setShouldShowInstructionsPage(shouldShowInstructionPage)
        }

        if let uiStrings = (qrConfig[FLHyperSnapConstants.QR_CAPTURE_UI_STRINGS] as? [String: Any]) {
            if !uiStrings.isEmpty {
                setUIStrings(uiStrings: uiStrings)
            }
        }
    }

    public func setUIStrings(uiStrings: [String: Any]) {
        var uiStringsUpdated: [String: String] = [:]
        for (key, value) in uiStrings {
            if let stringValue = value as? String {
                uiStringsUpdated[key] = stringValue
            }
        }
        getHVQRConfig().textConfig.setTextConfig(uiStringsUpdated)
    }

    public func start(
        context: UIViewController,
        callback: @escaping ((HVError?, [String: AnyObject]?) -> Void)
    ) {
        HVQRViewController.start(
            context,
            hvQRConfig: getHVQRConfig(),
            completionHandler: callback
        )
    }
}
