import Foundation

public class FLHyperSnapConstants {
    // method channel constant
    public static let METHOD_CHANNEL_STRING = "hyperSnapSDK_flutter"

    /// hyper-snap sdk property strings
    public static let APP_ID_ARG = "appId"
    public static let APP_KEY_ARG = "appKey"
    public static let ACCESS_TOKEN_ARG = "accessToken"
    public static let REGION_ARG = "region"
    public static let USER_ID_ARG = "userId"

    /// hyper-snap sdk method strings
    public static let INITIALIZE_METHOD = "initialize"
    public static let INITIALIZE_WITH_TOKEN_METHOD = "initializeWithToken"
    public static let HYPER_SNAP_SDK_CONFIG_METHOD = "hyperSnapSDKConfig"
    public static let START_USER_SESSION_METHOD = "startUserSession"
    public static let END_USER_SESSION_METHOD = "endUserSession"
    public static let SORT_JSON_KEYS_ALPHABETICALLY_METHOD = "sortJSONKeysAlphabetically"

    /// hyper-snap sdk config args
    public static let SHOULD_ENABLE_SSL_PINNING_ARG = "shouldEnableSSLPinning"
    public static let SHOULD_USE_SIGNATURE_ARG = "shouldUseSignature"
    public static let SHOULD_RETURN_RAW_RESPONSE_ARG = "shouldReturnRawResponse"
    public static let READ_TIMEOUT_ARG = "readTimeout"
    public static let UI_CONFIG_MAP = "uiConfigMap"

    /// ----------------------------hyper-snap doc capture constants-------------------------
    /// map properties
    public static let HV_DOC_CONFIG = "hvDocConfig"

    /// ocr api properties
    public static let OCR_ENDPOINT = "ocrEndpoint"
    public static let DOCUMENT_SIDE_STRING = "documentSideString"
    public static let PARAMS = "params"
    public static let HEADERS = "headers"

    /// doc config properties
    public static let DOC_ASPECT_RATIO_VALUE = "docAspectRatioValue"
    public static let DOC_SHOULD_SET_PADDING = "docShouldSetPadding"
    public static let DOC_DEFAULT_PADDING_VALUE = "docDefaultPaddingValue"
    public static let DOC_SHOULD_SHOW_FLASH_ICON = "docShouldShowFlashIcon"
    public static let DOC_SHOULD_SHOW_REVIEW_SCREEN = "docShouldShowReviewScreen"
    public static let DOC_SHOULD_SHOW_INSTRUCTION_PAGE = "docShouldShowInstructionPage"
    public static let DOC_TYPE_VALUE = "docTypeValue"
    public static let DOC_SHOULD_ENABLE_RETRIES = "docShouldEnableRetries"
    public static let DOC_SHOULD_SHOW_CLOSE_ALERT = "docShouldShowCloseAlert"
    public static let DOC_CLOSE_ALERT_DIALOG_TITLE = "docCloseAlertDialogTitle"
    public static let DOC_CLOSE_ALERT_DIALOG_DESCRIPTION = "docCloseAlertDialogDescription"
    public static let DOC_SHOULD_SHOW_TRUST_LOGOS = "docShouldShowTrustLogos"
    public static let OCR_API_DETAILS = "ocrApiDetails"
    public static let DOC_CAPTURE_UI_STRINGS = "docCaptureUIStrings"
    public static let DOC_AUTO_CAPTURE_DURATION = "docAutoCaptureDuration"
    public static let DOC_AUTO_CAPTURE = "docAutoCapture"
    public static let DOC_SHOULD_ENABLE_UPLOAD = "docShouldEnableUpload"
    public static let DOC_SHOULD_READ_BARCODE = "docShouldReadBarcode"
    public static let DOC_READ_BARCODE_TIMEOUT = "docReadBarcodeTimeout"
    /// methods
    public static let SET_HV_DOC_CONFIG = "setHVDocConfig"
    public static let START_DOC_CAPTURE = "startDocCapture"

    /// ----------------------------hyper-snap face capture constants-------------------------
    /// map properties
    public static let HV_FACE_CONFIG = "hvFaceConfig"

    /// liveness api properties
    public static let LIVENESS_ENDPOINT = "livenessEndpoint"
    public static let LIVENESS_VALUE = "livenessValue"
    public static let LIVENESS_PARAMS = "livenessParams"
    public static let LIVENESS_HEADERS = "livenessHeaders"

    /// face config properties
    public static let FACE_SHOULD_SHOW_INSTRUCTION_PAGE = "faceShouldShowInstructionPage"
    public static let FACE_SHOULD_RETURN_FULL_IMAGE_URL = "faceShouldReturnFullImageUrl"
    public static let FACE_SHOULD_SHOW_CAMERA_SWITCH_BUTTON = "faceShouldShowCameraSwitchButton"
    public static let FACE_VIDEO_RECORDING = "faceVideoRecording"
    public static let FACE_SHOULD_USE_BACK_CAMERA = "faceShouldUseBackCamera"
    public static let FACE_SHOULD_ADD_PADDING = "faceShouldAddPadding"
    public static let FACE_PADDING = "facePadding"
    public static let FACE_AUTO_CAPTURE = "faceAutoCapture"
    public static let FACE_SHOULD_SHOW_CLOSE_ALERT = "faceShouldShowCloseAlert"
    public static let FACE_CLOSE_ALERT_DIALOG_TITLE = "faceCloseAlertDialogTitle"
    public static let FACE_CLOSE_ALERT_DIALOG_DESC = "faceCloseAlertDialogDesc"
    public static let FACE_SHOULD_SHOW_TRUST_LOGOS = "faceShouldShowTrustLogos"
    public static let FACE_CAPTURE_UI_STRINGS = "faceCaptureUIStrings"
    public static let LIVENESS_API_DETAILS = "livenessApiDetails"
    public static let FACE_SHOULD_HANDLE_RETRIES = "faceShouldHandleRetries"
    public static let AUTO_CAPTURE_DURATION = "autoCaptureDuration"
    public static let TOTAL_GESTURES = "totalGestures"
    public static let CHECK_ACTIVE_LIVENESS = "checkActiveLiveness"

    /// video recording config properties
    public static let SHOULD_RECORD_VIDEO = "shouldRecordVideo"
    public static let NO_OF_FRAMES = "noOfFrames"
    public static let BIT_RATE_M = "bitRateM"
    public static let FPS = "fps"

    /// padding properties
    public static let PADDING_LEFT = "paddingLeft"
    public static let PADDING_RIGHT = "paddingRight"
    public static let PADDING_TOP = "paddingTop"
    public static let PADDING_BOTTOM = "paddingBottom"

    /// methods
    public static let SET_HV_FACE_CONFIG = "setHVFaceConfig"
    public static let START_FACE_CAPTURE = "startFaceCapture"

    /// ---------------------------------------------hv network helper strings---------------------
    // methods
    public static let NETWORK_HELPER_MAKE_OCR_CALL = "networkHelperMakeOCRCall"
    public static let NETWORK_HELPER_MAKE_FACE_MATCH_CALL = "networkHelperMakeFaceMatchCall"

    // ocr call map attributes
    public static let NETWORK_HELPER_OCR_ENDPOINT = "endpoint"
    public static let NETWORK_HELPER_OCR_DOCUMENT_URI = "documentUri"
    public static let NETWORK_HELPER_OCR_PARAMETERS = "parameters"
    public static let NETWORK_HELPER_OCR_HEADERS = "headers"

    // face match call map attributes
    public static let NETWORK_HELPER_FACE_MATCH_ENDPOINT = "endpoint"
    public static let NETWORK_HELPER_FACE_MATCH_DOCUMENT_URI = "documentUri"
    public static let NETWORK_HELPER_FACE_MATCH_PARAMETERS = "parameters"
    public static let NETWORK_HELPER_FACE_MATCH_HEADERS = "headers"
    public static let NETWORK_HELPER_FACE_MATCH_FACE_URI = "faceUri"
    public static let NETWORK_HELPER_FACE_MATCH_FACE_MATCH_MODE = "faceMatchMode"

    /// ---------------------------------------------hv qr capture strings---------------------
    public static let SET_HV_QR_SCAN_CONFIG = "setHVQRScanConfig"
    public static let QR_SCAN_CAPTURE_START = "qrScanCaptureStart"

    // attributes
    public static let HV_QR_CONFIG = "hvQRConfig"

    // qr config attributes
    public static let QR_CAPTURE_SHOULD_SHOW_INSTRUCTION_PAGE = "shouldShowInstructionPage"
    public static let QR_CAPTURE_UI_STRINGS = "qrScanUIStrings"
}
